Invoicing Entity Attribute
To view all attributes for a specific invoicing entity:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
Responses
200
Successful response
No content
get/api/v2/invoicingEntity/{invoicingEntityId}/attribute
GET /api/v2/invoicingEntity/{invoicingEntityId}/attribute HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To create a new invoicing entity attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
Body
attributestringRequired
valuestringOptional
Responses
200
Successful response
No content
post/api/v2/invoicingEntity/{invoicingEntityId}/attribute
POST /api/v2/invoicingEntity/{invoicingEntityId}/attribute HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"attribute": "text",
"value": "text"
}200
Successful response
No content
To view details for a specific invoicing entity attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
invoicingEntityAttributeIdstringRequired
Responses
200
Successful response
No content
get/api/v2/invoicingEntity/{invoicingEntityId}/attribute/{invoicingEntityAttributeId}
GET /api/v2/invoicingEntity/{invoicingEntityId}/attribute/{invoicingEntityAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
No content
To delete a specific invoicing entity attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
invoicingEntityAttributeIdstringRequired
Responses
200
Successful response
application/json
INVOICING_ENTITY_ATTRIBUTEintegerOptional
delete/api/v2/invoicingEntity/{invoicingEntityId}/attribute/{invoicingEntityAttributeId}
DELETE /api/v2/invoicingEntity/{invoicingEntityId}/attribute/{invoicingEntityAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Successful response
{
"INVOICING_ENTITY_ATTRIBUTE": 1
}To update a specific invoicing entity attribute:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
invoicingEntityIdstringRequired
invoicingEntityAttributeIdstringRequired
Body
valuestringRequired
Responses
200
Successful response
No content
patch/api/v2/invoicingEntity/{invoicingEntityId}/attribute/{invoicingEntityAttributeId}
PATCH /api/v2/invoicingEntity/{invoicingEntityId}/attribute/{invoicingEntityAttributeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"value": "text"
}200
Successful response
No content
Last updated
Was this helpful?